Agilent N6460B Mobile High Definition Link (MHL) Automated Test Application

Online Help

Version 02.21.0000

© Agilent Technologies, Inc. 2008-2014

Warranty
Technology License
Restricted Rights Legend
Safety Notices

September 30, 2014

Table of Contents

MHL Automated Testing—At a Glance
Starting the MHL Automated Test Application
To view/minimize the task flow pane
To view/hide the toolbar
Creating or Opening a Test Project
To set load preferences
Setting Up the Test Environment
To set up InfiniiSim
To set up PrecisionProbe/PrecisionCable
Selecting Tests
Configuring Tests
To activate/refresh limit sets
To create/edit limit sets
To combine limits
To split a combined limit
Connecting the Oscilloscope to the DUT
Running Tests
To select the "store mode"
To run multiple times
To send email on pauses or stops
To pause or stop on events
To specify the event
To set the display preferences
To set the run preferences
Automating the Application
To enter commands in Script mode
To enter commands in Files mode
To begin Script or Files execution
To display automation settings status
To try a command line
Viewing Results
To delete trials from the results
To show reference images and flash mask hits
To change margin thresholds
To change the test display order
To set trial display preferences
Viewing/Exporting/Printing the Report
To export the report
To print the report
Saving Test Projects
To set AutoRecovery preferences
Controlling the Application via a Remote PC
To check for the App Remote license
To identify the remote interface version
To enable the remote interface
To enable remote interface hints
Using a Second Monitor


MHL Automated Testing—At a Glance

The N6460B automated test application for Mobile High Definition Link (MHL) provides a framework for using Agilent Infiniium oscilloscopes to perform compliance testing. The automated test application guides you through the process of selecting and configuring tests, making oscilloscope connections, running tests, and evaluating the test results.

The MHL automated test application requires:

  • N6460B Mobile High Definition Link (MHL) Automated Test Application software.

  • Infiniium 90000 X-Series Digital Storage Oscilloscope.

  • The E2688A Serial Data Analysis and Clock Recovery software (for clock recovery).

  • Keyboard, qty = 1, (provided with the Agilent Infiniium oscilloscope).

  • Mouse, qty = 1, (provided with the Agilent Infiniium oscilloscope).

  • Precision 3.5 mm BNC to SMA male adapter, Agilent p/n 54855-67604, qty = 2 (provided with the Agilent 54855A and 80000B series oscilloscopes).

  • 50-ohm Coax Cable with SMA Male Connectors – 24-inch or less RG-316/U or similar, qty = 2, matched length.

  • Agilent also recommends using a second monitor to view the automated test application.

  • Probes and/or test fixtures.

To use the automated test application, see:

  • Starting the MHL Automated Test Application

    • To view/minimize the task flow pane

    • To view/hide the toolbar

  • Creating or Opening a Test Project

    • To set load preferences

  • Setting Up the Test Environment

    • To set up InfiniiSim

    • To set up PrecisionProbe/PrecisionCable

  • Selecting Tests

  • Configuring Tests

  • Connecting the Oscilloscope to the DUT

  • Running Tests

    • To select the "store mode"

    • To run multiple times

    • To send email on pauses or stops

    • To pause or stop on events

    • To specify the event

    • To set the display preferences

    • To set the run preferences

  • Automating the Application

    • To enter commands in Script mode

    • To enter commands in Files mode

    • To begin Script or Files execution

    • To display automation settings status

    • To try a command line

  • Viewing Results

    • To delete trials from the results

    • To show reference images and flash mask hits

    • To change margin thresholds

    • To change the test display order

    • To set trial display preferences

  • Viewing/Exporting/Printing the Report

    • To export the report

    • To print the report

  • Saving Test Projects

    • To set AutoRecovery preferences

  • Controlling the Application via a Remote PC

    • To check for the App Remote license

    • To identify the remote interface version

    • To enable the remote interface

    • To enable remote interface hints


Starting the MHL Automated Test Application

  1. From the Infiniium oscilloscope's main menu, choose Analyze > Automated Test Apps > N6460B MHL Test App.

  2. The MHL automated test application window appears.

The task flow pane and the tabs in the main pane, show the steps you take when running the automated tests:

Set Up | Lets you identify the test environment, including information about the device being tested and the connection type.
Select Tests | Lets you select the tests you want to run. The tests are organized hierarchically so you can select all tests in a group. After tests are run, status indicators show which tests have passed, failed, or not been run, and there are indicators for the test groups.
Configure | Lets you configure the test parameters.
Connect | Shows you how to connect the oscilloscope to the device under test for the tests that are to be run.
Run Tests | Starts the automated tests. If the connections to the device under test need to be changed while multiple tests are running, the tests pause, show you how to change the connection, and wait for you to confirm that the connections have been changed before continuing.
Automation | The Automation tab lets you construct command scripts that drive execution of the application.
Results | Contains more detailed information about the tests that have been run. You can change the thresholds at which marginal or critical warnings appear.
Html Report | Shows a compliance test report that can be printed.

See Also

  • To view/minimize the task flow pane

  • To view/hide the toolbar

Next

  • Creating or Opening a Test Project


To view/minimize the task flow pane

  • To toggle between a minimized and restored task flow pane, choose View>Task Flow from the menu.

  • To minimize the task flow pane, click the minimize button in the pane.

  • To restore a minimized task flow pane, click the Task Flow button in the pane.


To view/hide the toolbar

  • To toggle between a hidden and visible toolbar, choose View>Toolbar from the menu.


Creating or Opening a Test Project

To create a new test project:

  1. Choose File > New Project... from the menu.

To open an existing test project:

  1. Choose File > Open Project... from the menu.

  2. In the Open dialog, browse to a test project directory and select the desired ".proj" file.

  3. Click Open.

See Also

  • To set load preferences

Next

  • Setting Up the Test Environment


To set load preferences

  1. From the MHL automated test application's menu, choose View > Preferences....

  2. In the Preferences dialog, select the Save/Load tab.

  3. In the Save/Load tab, you can choose to restore saved test selections when loading a project.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Setting Up the Test Environment

The Set Up tab is used to:

  • Select the MHL Specification that the device is being tested against.

  • Select the Device Under Test being tested.

  • Provide additional Test Report comments and information.

When CTS 2.1/1.3, CTS 2.0, or CTS 1.2 (Mobile-High-Definition Link Specification, version 2.1) is selected for the Specification:

  • You can select Source or Sink for the device under test.

  • You can select the probing Connection Type.

  • There is a field to specify the VISA address of the Programmable DC Power Supply Setup (U3633A/E3646A).

When CTS 3.2 (Mobile-High-Definition Link Specification, version 3.0) is selected for the Specification:

  • You can select Source, Sink, or Dongle for the device under test.

  • There are additional buttons for:

    • Cable Model and Equalizer Setup — Click the Set up embed / de-embed button to open a dialog box where you define the Worst Cable Model and Equalizer to use for the TP2 tests.

      You need to select the Signal Type to specify which set of tests the models are for.

      For compliance testing as per the CTS document, please use the default settings.

    • User Defined Mask Setup — Click the Set up user defined mask button to open a dialog box where you select your own set of mask files for the TP2 tests.

      You need to select the Signal Type to apply the mask file.

      For compliance testing as per the CTS document, please use the default settings.

    • DUT Automation — To perform DUT automation, you need this equipment:

      • SL-403 source/sink box from Simplay Labs.

      • SL-402 relay board from Simplay Labs.

      To use the default SL-403 source/sink box settings, you only need to check the Enable DUT automation checkbox and run any test.

      If you wish to change or debug any SL-403 source/sink box settings, click the DUT Automation Setup button. The resulting dialog box has fields for changing the settings, and it shows the connection diagram for reference.

      Please contact Simplay Labs for further details on usage/settings of the SL-403 source/sink box.

Next

  • Selecting Tests


To set up InfiniiSim

  1. From the MHL automated test application's menu, choose Tools > Infiniium > InfiniSim....

    [Note]

    This feature appears in the menu if it is currently licensed on the oscilloscope.

  2. The following window appears to allow you to enter the parameters to set up InfiniiSim.

  3. Select the oscilloscope channel being used. Select either the 2 Port or 4 Port setting. The next window appears as shown below.

  4. Set the appropriate parameters and load the appropriate transfer function file.

Please refer to the Infiniium oscilloscope's online help for more information on the controls found in the InfiniiSim dialog screens.

At the start of the run, InfiniiSim settings are pushed to the oscilloscope. Also, each time the generated app executes the Infiniium SCPI command, ":SYSTem:PRESet", the settings are pushed again.


To set up PrecisionProbe/PrecisionCable

  1. From the MHL automated test application's menu, choose Tools > Infiniium > PrecisionProbe/PrecisionCable....

    [Note]

    This feature appears in the menu if it is currently licensed on the oscilloscope.

  2. The following dialog appears to allow you to enter the parameters to set up PrecisionProbe or PrecisionCable.

  3. When you select the Mode and click Create New…, this prompt appears:

Please refer to the Infiniium Help system for more information on the controls found in the PrecisionProbe dialog screens.

At the start of the run, PrecisionProbe settings are pushed to the oscilloscope. Also, each time the generated app executes the Infiniium SCPI command, ":SYSTem:PRESet", the settings are pushed again.


Selecting Tests

  1. Click the Select Tests tab, or click Select Tests in the Task Flow pane.

  2. Check the tests you want to run.

    [Note]

    The tests that appear on the Select Tests tab are determined by the choices selected on the Set Up tab. The test list gets rebuilt each time the selection on the Set Up page changes.

    Some things to note:

    • Checking a parent node/group will check all available sub-groups or tests.

    • Unchecking a parent node/group will uncheck all sub-groups or tests.

    • A parent node is checked if all subgroups are checked.

    • A parent node is unchecked if ANY subgroup is unchecked.

Clicking the Right Mouse Button

When you click the right mouse button on the tests pane, it produces a pop-up menu containing some shortcuts for selecting and de-selecting tests.

When Tests Have Already Been Run

If tests have already been run, you will see their status in the Select Tests tab.

The marks have the following meanings:

The test passed.
The test failed.
The test has not been run, or no tests in the group have been run.
The test is currently running.
Some tests in the group have run and passed.
Some tests in the group have run and failed.
Some tests in the group have passed and some have failed; not all of the tests have been run.
Some tests in the group have passed and some have failed; all of the tests have run.
All tests in the group have run and passed.
All tests in the group have run and failed.

Next

  • Configuring Tests


Configuring Tests

  1. Click the Configure tab, or click Configure in the Task Flow pane.

  2. You are allowed to change the configuration of the Compliance Mode and the Debug Mode here. Select your preferred mode and the test list changes according to your selection.

    • Compliance Mode — lets you choose the configuration options necessary to meet the compliance standard tests.

    • Debug Mode — lets you modify the configuration options. This can be useful, for example, when investigating a test failure.

  3. Select the bulleted item for the settings you want to configure; then, select or enter your settings.

    A description of the selected configuration item appears in the lower, right part of the application window.

    Note that you can also enter values in some of the drop-down selection fields. Entered values are checked for validity.

[Tip]

  • A quick way to see the Debug Mode configuration option values that are used in the Compliance Mode is to switch from Compliance Mode to Debug Mode.

  • A quick way to reset all the Debug configuration options is to switch from Debug Mode to Compliance Mode.

  • A quick way to reset all configuration options and delete all test results is to create a new project. The new project will have default configuration options.

See Also

  • To activate/refresh limit sets

  • To create/edit limit sets

Next

  • Connecting the Oscilloscope to the DUT


To activate/refresh limit sets

Limit sets are the values you test your device against. Official limit sets are provided with the generated application. You can also define your own limit sets to test against.

To refresh the current limit set or activate a new limit set:

  1. From the generated application's main menu, choose Tools > Pass/Fail limits > Activate/Refresh limit set....

    Or, in the Configure tab, click Activate/Refresh Limit Set....

  2. In the Activate/Refresh Pass/Fail Limit Set dialog, select one of the official limit sets or a user-defined limit set.

  3. Click Activate/Refresh.

[Note]

If you have existing test results when you activate a different limit set, the application examines your results to see if any of them would experience a limit change when the different limit set is loaded. If any results would be affected in this way, the application tells you which ones they are and warns that they must be deleted.

See Also

  • To create/edit limit sets


To create/edit limit sets

You can create new limit sets by modifying existing limit sets and saving them to new files.

  1. From the generated application's main menu, choose Tools > Compliance limits > Create/Edit limit set....

  2. In the Create/Edit User-Defined Limit Set dialog, click Load Limit Set... to pre-load the dialog with an existing official or user-defined limit set.

  3. Give the new limit set a unique name (different from any official limit set's name). If all of the tests come from the same reference, you can enter a base description (for example, document name) in the Shared Reference field and then add test-specific references (for example, page number) down below.

  4. Select a limit to modify; then, click Edit.

  5. In the Edit Compliance Limit dialog, modify the limit as desired. When finished, click OK.

    See also:

    • To combine limits

    • To split a combined limit

  6. Repeat the last two steps until all limits requiring change are modified.

  7. If you have loaded a custom limit set file, click Save. Otherwise, click Save As... to save your custom limit set to a file. Enter the file name in the Save Limit Set As dialog.

    Now, you can activate your newly-created limit set for use in the next run. See To activate/refresh limit sets.

    You can confirm your new limit set is active by reviewing the Configure tab status field or by checking the description of any of the tests whose limits you modified.

When Loading Projects

When you load a project, the application will attempt to restore the limit set that was in use at the time the project was saved. For legacy projects, which do not include this information, the application will examine the results being loaded to see if any of them would experience a limit change due to the limit set currently active in the application. If any results would be affected in this way, the application will load the project as read-only.


To combine limits

  1. In the Create/Edit User-Defined Limit Set dialog (see To create/edit limit sets), select the limits you want to combine, and click Combine....

  2. In the Combine Multiple Test Limits dialog, select which limit to copy values from and provide summary names and descriptions.

  3. Click Finish.

See Also

  • To split a combined limit


To split a combined limit

If a limit covers more than one test ID, you can split it into two limits.

  1. In the Create/Edit User-Defined Limit Set dialog (see To create/edit limit sets), select the limit that covers multiple tests, and click Split....

    In this case, we are splitting a 2-test limit into two single-test limits.

  2. In the Split One Test Limit Into Two dialog, assign tests to the new limit by selecting them and clicking the --> button.

  3. Click Finish.

See Also

  • To combine limits


Connecting the Oscilloscope to the DUT

  1. Click the Connect tab, or click the Connect box in the Task Flow pane.

  2. Follow the displayed instructions for connecting the oscilloscope to the device under test.

  3. When connections to the device under test have been made, check the I have completed these instructions box.

Next

  • Running Tests


Running Tests

[Note]

You should allow the oscilloscope to warm-up at least 30 minutes before running any measurement tests.

[Tip]

It is a good idea to calibrate the oscilloscope at least once a year or when the Calibration ΔTemp is greater than ±5 °C. The Calibration ΔTemp is found in the Help>About Infiniium... menu on the Infiniium oscilloscope.

The Run Tests tab's settings let you run the selected tests once or multiple times. When you run tests multiple times, there are options for selecting which trials are stored and how long tests are run.

To run the selected tests once:

  1. Start the test run.

    There are several ways to run selected tests:

    • Click Run Tests in the Task Flow pane.

    • Click [image] in the toolbar.

    • Select a branch in the Select Tests tab; then, click [image] in the toolbar.

    • Select the Run Tests tab, make sure the Once "run until" option is selected, and click the big Start button.

    For more information on additional run options, see:

    • To select the "store mode"

    • To run multiple times

    • To send email on pauses or stops

    • To pause or stop on events

    • To specify the event

  2. If there are existing test results, you are asked if you would like to keep them or re-test (delete) them.

    If you would like to keep the existing test results to compare against new results, select Append New Trials.

    Select Replace ALL Existing Trials if you would like to delete the existing test results.

  3. While the tests are running, status dialogs appear to inform you about the test progress.

  4. When the tests are complete, click OK.

See Also

  • To set the display preferences

  • To set the run preferences

Next

  • Viewing Results


To select the "store mode"

When running tests multiple times, you can select which trials are stored.

  1. Select the Run Tests tab.

  2. In the Store Mode area, select:

    • Best — stores the results of the best N trials.

    • Event — stores the results of N trials in which the event is detected. The event is determined in the Event area. See To specify the event.

    • Last — stores the results of the last N trials.

    • Worst — stores the results of the worst N trials.

Up to 80 trials can be stored.

If you change the Store Mode when test results exist, the existing results will be deleted.

The Store Mode selection affects the trial display options in the Report tab of the Preference dialog. See To set trial display preferences.


To run multiple times

The "run until" option lets you specify whether tests are run once or multiple times.

  1. Select the Run Tests tab.

  2. In the Run Until area, select:

    • Forever — runs the tests repeatedly until you click the Cancel button.

    • N Times — runs the tests N times. When this option is selected, you can specify the number of runs and whether pauses occur between each run.

    • Once — runs the tests only once. This is the default setting.

When multiple runs are selected, you can use the trial display options in the Report tab of the Preference dialog to specify how many trials are displayed in the test report. See To set trial display preferences.


To send email on pauses or stops

You can configure the test application to send email whenever a run pauses or ends.

  1. Select the Run Tests tab.

  2. In the Run Until area, check Send email.

  3. Click Configure.

  4. In the Configure Email dialog, enter your To and From email addresses and the hostname of the SMTP Server.

  5. Click OK.

Pauses can occur between runs when running a specific number of times (see To run multiple times) or when pausing on an event (see To pause or stop on events).


To pause or stop on events

You can set up test runs to pause or stop on events which are checked at the end of each test..

  1. Select the Run Tests tab.

  2. In the Run Until area, check On event.

  3. In the drop-down selection field that appears, select either:

    • Pause — causes the run to pause when the event is detected.

    • Stop — cause the run to stop when the event is detected.

  4. In the Event area, specify the type of event. See To specify the event.

Pauses or stops can be set up to automatically send email (see To send email on pauses or stops).


To specify the event

In the Store Mode area when you have selected Event (see To select the "store mode") or in the Run Until area when you have selected to pause or stop on an event (see To pause or stop on events), the Event area appears so that you can specify the event.

  1. In the Event area, select the type of event:

    • Fail — causes the event to fire when a prerequisite test or selected test fails..

    • Margin < N — causes the event to fire when a test generates a margin < specified. When this option is selected, enter the minimum required margin percentage.

    • Pass — causes the event to fire when a test passes (excluding prerequisite tests).

    A tilde "~" character in the event selection drop-down shows that the event is unavailable. If you select an event type that is not available, a dialog tells you why.


To set the display preferences

Information, warning, and error conditions can occur while running tests. The display preferences let you choose whether message dialogs are shown. And, there are other display preferences that affect what happens as tests are run.

  1. From the MHL automated test application's menu, choose View > Preferences....

  2. In the Preferences dialog, select the Display tab.

  3. In the Display tab, you can choose to show the following types of message dialogs:

    • Information dialogs.

    • Warning dialogs.

    • Error dialogs.

    [Note]

    Messages that require you to make a choice, such as "OK/Cancel" and "Yes/No" are always enabled.

  4. Also, you can choose to:

    • Invert scope display — (white background) when the application captures the screen shots.

    • Keep application on top — Always keep the application's main dialog on the top of the Infiniium application. Note that the mid-run dialogs are always displayed on the top.

    • Log events — Use this option only when directed to by Agilent Support (Note that this option degrades the runtime performance).

    • Show tooltips — By enabling this option, the tooltips appear as you move the pointer over various controls in the application.

  5. Click Apply to save the changes and click OK to close the Preferences dialog.


To set the run preferences

Information, warning, and error conditions can occur while running tests. The display preferences let you choose whether message dialogs are shown. And, there are other display preferences that affect what happens as tests are run.

  1. From the MHL automated test application's menu, choose View > Preferences....

  2. In the Preferences dialog, select the Run tab.

  3. In the Run tab, specify Prompts settings:

    • Beep when user prompted — causes the oscilloscope to beep when there is prompt for user input.

    • Beep only during run — specifies that beeps only occur during runs.

  4. Specify Test Abort Action settings:

    • Continue the run — causes tests to continue running after a test aborts. When this option is selected, you can view problem descriptions after the run ends.

    • Stop the run — causes the run to stop after a test aborts, and the problem is reported immediately.

    Note that these settings do not affect the Stop button.

  5. Click Apply to save the changes and click OK to close the Preferences dialog.


Automating the Application

The Automation tab lets you construct command scripts that drive execution of the application.

You can select from two modes, Script and Files:

See:

  • To enter commands in Script mode

  • To enter commands in Files mode

  • To begin Script or Files execution

  • To display automation settings status

  • To try a command line


To enter commands in Script mode

In Script mode, the application will execute the commands it finds in the script text box:

You may either type in commands (one per line) or use the Commands… generator to construct them. A script may be saved to a text file to make it easy to switch to the Files automation method.

The command generator is opened by clicking Commands…. It can generate single commands or sample scripts that demonstrate how commands work together.

In Single Command mode, select the tab that corresponds to the real application tab containing the controls you want to affect. Then, select which action you want to perform. The screen will then show you what automation command performs that action. Most commands are shown with placeholder parameters along with instructions on how to customize them:

In Entire Script mode, select a script that describes a task you would like to know more about:

Once you have found the command or script you want, you may copy it to the clipboard or automatically append it to the script in the Automation tab. You may optionally include instructions to guide you in customizing the commands:

[Note]

In the Automation tab script, lines starting with the pound symbol (#) do not execute.

See Also

  • To begin Script or Files execution


To enter commands in Files mode

In Files mode, the application will execute the commands it finds in the files shown in the list. The list is constructed and managed via the buttons on the left:

See Also

  • To begin Script or Files execution


To begin Script or Files execution

Click Start to begin Script or Files execution:

Before the first test executes, you may abort by clicking the same button (now labeled Stop) again. Once the run begins, the main dialog goes away so you would use the Run Dialog's Stop button instead:


To display automation settings status

Some commands will make visible changes to the application's tabs, such as selecting a test. Other commands only modify invisible settings, such as "SuppressMessages". The Automation Settings status dialog displays the current value of the invisible properties:


To try a command line

To experiment with a command, type it in the Try a command field and press <Enter> to execute it. If it has a visible effect, such as selecting a test, you may then go to another tab to see if it behaved as expected.


Viewing Results

  1. Click [image] in the toolbar, or click the Results tab.

    In general, the Results tab contains three resizable panes. The top pane lists the tests that were performed and the summary of the tests. If you select one of the tests in the top pane, the details and the reference images (if any) are shown in the lower panes.

    The summary of the test trial is displayed in the bottom left pane. It also shows the Worst Trial and has links to the trial display option where you can modify the information displayed.

    The bottom right pane may have several tabs, depending on the Report Preferences configuration. If more than one trial is selected, then the first tab will be the Summary tab. It shows the summary of all the test trials. A maximum of 25 trials can be displayed at any one time.

    If the worst first is selected as the trial display option, the Worst Trial will be the next tab after the Summary tab, followed by other trials in order of trial performance.

    The reference images appears in the bottom right pane for the selected trials. See To show reference images and flash mask hits for more details on reference images.

[Tip]

A quick way to reset all configuration options and delete all test results is to create a new project. The new project will have default configuration options.

See Also

  • To show reference images and flash mask hits

  • To change margin thresholds

  • To set trial display preferences

Next

  • Viewing/Exporting/Printing the Report


To delete trials from the results

  1. In the Results tab, choose one of these ways to delete a trial:

    • While a test result entry (at upper pane) or trial tab (at lower pane) has input focus, either click on the toolbar 'delete' button or press the delete key on the keyboard OR:

    • Another option is to right-click at a test result (at upper pane) and select a trial or test to delete OR:

    • Right-click inside the display area of trial summary tab (at the lower pane):

  2. Select the trial to delete:

  3. If other tests have results that were generated during the same trial run as the trial you are deleting, you will be asked if you wish to delete these tests at the same time.

    [Note]

    The trial numbers of the affected results may not match. The application presents you with those results that were generated during the same run. You can decide to delete those other trials as well.

  4. Once you have selected the trials to delete and clicked OK, you get a confirmation dialog:

  5. The remaining trials are renumbered downwards to fill in the hole left by the deleted trial:

  6. If you delete the last remaining trial of a test, the entire test results are removed:

NOTE:

There are two situations in which you are not allowed to delete a trial:

  • Case 1: The trial you attempt to delete is the last remaining extreme trial but not the last remaining trial. In the MHL test application, the maximum number of trials displayed is 64. For example:

    1. Let's assume N is 64 (the maximum number of trials displayed).

    2. You have run more than N trials of a test.

    3. Now, you can delete up to N-1, where all these tests are displayed in the individual result tabs. You will not be able to delete the last remaining test displayed in the individual result tab or other non-displayed tests; however, you can delete the entire test.

  • Case 2: The trial you attempt to delete is associated with a trial defined in Case 1.


To show reference images and flash mask hits

  1. In the Results tab, click in the Reference Images pane.

    This opens the ShowImage dialog.

    In the ShowImage dialog, you can:

    • Click the [image] flash red pixels button to highlight the points of failure.

    • Click the [image] zoom in or [image] zoom out buttons to resize the dialog.

  2. Click the [image] close button to close the ShowImage dialog.


To change margin thresholds

  1. From the MHL automated test application's menu, choose View>Preferences....

    Or, when viewing the Results tab, click [image] in the toolbar.

  2. In the Preferences dialog, select the Report tab.

  3. In the Margin Reporting area, you can:

    • Enable or disable margin highlighting.

    • You can change the percent of margin at which to give warnings or critical failures.

  4. Click OK to close the Preferences dialog.


To change the test display order

  1. From the MHL automated test application's menu, choose View > Preferences....

    Or, when viewing the Results tab, click [image] in the toolbar.

  2. In the Preferences dialog, select the Report tab.

  3. In the Test Display area, you can:

    • Order tests chronologically or use the same ordering as in the Select Tests tab.

  4. Click OK to save your changes and close the Preferences dialog.


To set trial display preferences

  1. From the MHL automated test application's menu, choose View>Preferences....

    Or, when viewing the Results tab, click [image] in the toolbar.

  2. In the Preferences dialog, select the Report tab.

  3. In the Trial display area, you can:

    • Select the maximum number of trials, up to 30, whose details are displayed at one time.

    • Order trial details chronologically or by "worst" trial first.

    • Specify whether screens captured during the run are displayed in the Results tab.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.

[Note]

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


Viewing/Exporting/Printing the Report

  • To view the HTML test report, click the Html Report tab.

See Also

  • To export the report

  • To print the report

Next

  • Saving Test Projects


To export the report

  1. From the MHL automated test application's menu, choose File > Export Results > from the menu.

    There are two options for exporting the HTML test report: CSV or HTML.

To export results in CSV (comma-separated values) format

To export the results as a comma-separated list of values, choose File > Export Results > CSV.

The data format is shown in the first line of the exported *.csv file.

To export the report in HTML format

There are two options for exporting HTML format test reports:

  • Choose File > Export Results > HTML > Single-File — To save a single-file report, use the "save as" type "Web Archive, single file (.mht)".

    [Note]

    Single-file reports will not contain hyperlinks in the summary table (due to a .mht format limitation). If you want these hyperlinks, use the multi-file format.

  • Choose File > Export Results > HTML > Multi-File — If your report is large and you would like to use links within the report, select the HTML > Multi-File option. Selecting the multi-file option exports the results as a set of separate image and HTML files. It creates a folder with the specified name that may be copied to any computer.

    To view the exported report, open the HTML file stored in the folder.


To print the report

  • To preview the HTML test report printout, click [image] or choose File>Print Preview... from the menu.

  • To print the HTML test report, click [image] or choose File>Print... from the menu.


Saving Test Projects

To save test settings and results to the current project directory:

  1. Choose File > Save Project from the menu.

To save test settings and results to a new project directory:

  1. Choose File > Save Project As... from the menu.

  2. In the Save Project As... dialog, enter the device name and location.

    Project files will be saved in a directory whose name is the device name.

  3. Click OK.

See Also

  • To set AutoRecovery preferences


To set AutoRecovery preferences

  1. From the MHL automated test application's menu, choose View>Preferences....

  2. In the Preferences dialog, select the Save/Load tab.

  3. In the AutoRecovery area, you can choose:

    • To auto-save results after each trial or permutation even if the entire multi-trial is not completed. This option enables full recovery.

    • To auto-save results only upon the completion of the entire multi-trial.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Controlling the Application via a Remote PC

The generated application's Preference dialog has a Remote tab for enabling the remote interface and setting remote options.

The N5452A remote interface lets you control Infiniium applications from a remote PC. It comes with ready to run executables, but it also lets you create custom programs using a .NET 2.0 programming language or the National Instruments' LabVIEW 8.5 graphical programming environment.

With the remote interface, you can:

  • Launch and close applications.

  • Configure options.

  • Run tests.

  • Obtain results.

  • Control when and where dialogs are displayed.

  • Save and load projects.

For more information on the remote interface, see the N5452A Remote Interface for Infiniium Compliance Applications on the Agilent web site.

See Also

  • To check for the App Remote license

  • To identify the remote interface version

  • To enable the remote interface

  • To enable remote interface hints


To check for the App Remote license

  1. From the Infiniium oscilloscope's main menu, choose Help > About Infiniium.

  2. In the license list, check for the App Remote license as shown below.


To identify the remote interface version

  1. From the generated application's main menu, choose Help > About....

  2. In the About dialog, the remote interface version is listed above other version information.


To enable the remote interface

  1. From the generated application's main menu, choose View > Preferences....

  2. In the Preferences dialog, select the Remote tab.

  3. Check the Enable remote interface option if you need to access the application remotely.

    If you are performing the tests with the application's user interface and want to ensure no remote users accidentally interfere with you, disable the remote interface by un-checking this option.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


To enable remote interface hints

  1. From the generated application's main menu, choose View > Preferences....

  2. In the Preferences dialog, select the Remote tab.

  3. In the remote options area, check Show remote interface hints.

    When this option is checked:

    • You can select the remote programming language described in the tips.

    • Tooltips related to the remote interface commands appear when you click the toolbar.

    • Various controls in the tabs will have a context menu item added as "Remote interface hint…".

    • The Select Tests and Configure tabs will display a remote hint in their description panes at the bottom of the screen, when an item is selected.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Using a Second Monitor

A second monitor can be used to display the automated test application, allowing you to view the oscilloscope while using the application. You need to connect a second monitor to the video port labeled Second Monitor on the rear panel of the oscilloscope and not to the port labeled VGA. (The VGA output is only used to display the screen of the oscilloscope on the external monitor.)

Before starting the automated test application, you should be sure that the second monitor is properly configured:

  1. Exit the oscilloscope application, and click on the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. Select Appearance and Themes.

  4. Select Display.

  5. Select the Settings tab.

  6. Select monitor two and set the Screen resolution and Color quality for your monitor.

  7. Enable the Extend my Windows desktop onto this monitor control.

  8. Click OK to apply these changes and close the Display Properties dialog box.

Once the second monitor is configured, moving the mouse off the oscilloscope screen will cause the mouse to be displayed on the second monitor. If you want to stop using the second monitor, you should disable the Extend my Windows desktop onto this monitor control.

See Also

  • MHL Automated Testing—At a Glance


Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Agilent Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Agilent disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Agilent shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Agilent and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.